
static Eina_Error
__eolian_efl_input_text_entity_input_panel_show_on_demand_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_input_text_input_panel_show_on_demand_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_input_panel_show_on_demand_set, EFL_FUNC_CALL(ondemand), Eina_Bool ondemand);

static Eina_Value
__eolian_efl_input_text_entity_input_panel_show_on_demand_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_input_text_input_panel_show_on_demand_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_input_panel_show_on_demand_get, Eina_Bool, 0);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_input_panel_language_set, EFL_FUNC_CALL(lang), Efl_Input_Text_Panel_Language_Type lang);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_input_panel_language_get, Efl_Input_Text_Panel_Language_Type, 0);

static Eina_Error
__eolian_efl_input_text_entity_input_panel_layout_variation_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_input_text_input_panel_layout_variation_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_input_panel_layout_variation_set, EFL_FUNC_CALL(variation), int variation);

static Eina_Value
__eolian_efl_input_text_entity_input_panel_layout_variation_get_reflect(const Eo *obj)
{
   int val = efl_input_text_input_panel_layout_variation_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_input_panel_layout_variation_get, int, 0);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_autocapitalization_set, EFL_FUNC_CALL(autocapital_type), Efl_Input_Text_Capitalize_Type autocapital_type);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_autocapitalization_get, Efl_Input_Text_Capitalize_Type, 0);

static Eina_Error
__eolian_efl_input_text_entity_predictable_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_input_text_predictable_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_predictable_set, EFL_FUNC_CALL(prediction), Eina_Bool prediction);

static Eina_Value
__eolian_efl_input_text_entity_predictable_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_input_text_predictable_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_predictable_get, Eina_Bool, 0);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_input_content_type_set, EFL_FUNC_CALL(hints), Efl_Input_Text_Content_Type hints);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_input_content_type_get, Efl_Input_Text_Content_Type, 0);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_input_panel_layout_set, EFL_FUNC_CALL(layout), Efl_Input_Text_Panel_Layout_Type layout);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_input_panel_layout_get, Efl_Input_Text_Panel_Layout_Type, 8 /* Efl.Input_Text.Panel_Layout_Type.invalid */);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_input_panel_return_key_type_set, EFL_FUNC_CALL(return_key_type), Efl_Input_Text_Panel_Return_Key_Type return_key_type);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_input_panel_return_key_type_get, Efl_Input_Text_Panel_Return_Key_Type, 0);

static Eina_Error
__eolian_efl_input_text_entity_input_panel_autoshow_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_input_text_input_panel_autoshow_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_input_panel_autoshow_set, EFL_FUNC_CALL(enabled), Eina_Bool enabled);

static Eina_Value
__eolian_efl_input_text_entity_input_panel_autoshow_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_input_text_input_panel_autoshow_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_input_panel_autoshow_get, Eina_Bool, 0);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_input_panel_return_key_state_set, EFL_FUNC_CALL(state), Efl_Input_Text_Panel_Return_Key_State state);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_input_panel_return_key_state_get, Efl_Input_Text_Panel_Return_Key_State, 0);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_input_text_input_panel_show);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_input_text_input_panel_hide);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_input_text_input_panel_imdata_set, EFL_FUNC_CALL(value), Eina_Slice value);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_input_text_input_panel_imdata_get, Eina_Slice, ((Eina_Slice){0}));

static Eina_Bool
_efl_input_text_entity_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_INPUT_TEXT_ENTITY_EXTRA_OPS
#define EFL_INPUT_TEXT_ENTITY_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_show_on_demand_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_show_on_demand_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_language_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_language_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_layout_variation_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_layout_variation_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_autocapitalization_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_autocapitalization_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_predictable_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_predictable_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_content_type_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_content_type_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_layout_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_layout_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_return_key_type_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_return_key_type_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_autoshow_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_autoshow_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_return_key_state_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_return_key_state_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_show, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_hide, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_imdata_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_imdata_get, NULL),
      EFL_INPUT_TEXT_ENTITY_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"input_panel_show_on_demand", __eolian_efl_input_text_entity_input_panel_show_on_demand_set_reflect, __eolian_efl_input_text_entity_input_panel_show_on_demand_get_reflect},
      {"input_panel_layout_variation", __eolian_efl_input_text_entity_input_panel_layout_variation_set_reflect, __eolian_efl_input_text_entity_input_panel_layout_variation_get_reflect},
      {"predictable", __eolian_efl_input_text_entity_predictable_set_reflect, __eolian_efl_input_text_entity_predictable_get_reflect},
      {"input_panel_autoshow", __eolian_efl_input_text_entity_input_panel_autoshow_set_reflect, __eolian_efl_input_text_entity_input_panel_autoshow_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_input_text_entity_class_desc = {
   EO_VERSION,
   "Efl.Input_Text.Entity",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_input_text_entity_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_input_text_entity_interface_get, &_efl_input_text_entity_class_desc, NULL, NULL);
